Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
installation problems: USE =is ok but >=? (multiple)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
enricotognoni
n00b
n00b


Joined: 03 Jan 2013
Posts: 4

PostPosted: Sat Jan 05, 2013 4:31 am    Post subject: installation problems: USE =is ok but >=? (multiple) Reply with quote

Im tryng to install Network manager, i dont know ho to set USE="... correctly" i get always this message.

Code:

The following USE changes are necessary to proceed:
#required by virtual/udev-171, required by net-misc/networkmanager-0.9.4.0-r6, required by networkmanager (argument)
=sys-fs/udev-171-r9 gudev
#required by dev-python/sepolgen-1.1.8, required by sys-apps/policycoreutils-2.1.13-r5, required by sec-policy/selinux-consolekit-2.20120725-r8, required by sys-auth/consolekit-0.4.5_p20120320-r1, required by sys-auth/polkit-0.107-r1, required by net-misc/networkmanager-0.9.4.0-r6, required by networkmanager (argument)
>=app-admin/setools-3.3.7-r6 python
#required by sys-auth/polkit-0.107-r1, required by net-misc/networkmanager-0.9.4.0-r6, required by networkmanager (argument)
>=sys-auth/consolekit-0.4.5_p20120320-r1 policykit
#required by sys-auth/polkit-0.107-r1[pam], required by net-misc/networkmanager-0.9.4.0-r6, required by networkmanager (argument)
=sys-auth/pambase-20101024-r2 consolekit
#required by net-misc/networkmanager-0.9.4.0-r6, required by networkmanager (argument)
=virtual/udev-171 gudev
#required by net-misc/networkmanager-0.9.4.0-r6, required by networkmanager (argument)
=net-wireless/wpa_supplicant-0.7.3-r5 dbus
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6710
Location: Goose Creek SC

PostPosted: Sat Jan 05, 2013 4:47 am    Post subject: Reply with quote

Code:
nano /etc/portage/package.use
edit to add
Quote:
=sys-fs/udev-171-r9 gudev
>=app-admin/setools-3.3.7-r6 python
>=sys-auth/consolekit-0.4.5_p20120320-r1 policykit
=sys-auth/pambase-20101024-r2 consolekit
=virtual/udev-171 gudev
=net-wireless/wpa_supplicant-0.7.3-r5 dbus


Declaring USE flags for individual packages in http://www.gentoo.org/doc/en/handbook/handbook-amd64.xml?style=printable&full=1#book_part2_chap2 refers.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
BillWho
Veteran
Veteran


Joined: 03 Mar 2012
Posts: 1600
Location: US

PostPosted: Sat Jan 05, 2013 4:54 am    Post subject: Reply with quote

enricotognoni,

Try this:

emerge -v --autounmask-write networkmanager

Then run etc-update followed by a normal emerge: emerge -v networkmanager

You can check /etc/portage/package.use for the use flag entries and man emerge for --autounmask-write

You'll probably need to do this again in the near future :wink:
_________________
Good luck :wink:

Since installing gentoo, my life has become one long emerge :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum